<template>
  <div
    class="bg-blue-100 wrapper w-full overflow-hidden custom-elementUI theme-wrapper"
  >
    <china-header
      v-if="except"
      :theme-properties="themeProperties"
      :is-scroll-over="isScrollOver"
    />
    <china-right-side-navigation
      v-if="except"
      :is-scroll-over="isScrollOver"
      :theme-properties="themeProperties"
    />
    <div :class="['w-full', { 'mt-[100px]': addMarginTop }]">
      <slot container-class="w-full mx-autoP container min-h-[70vh]" />
    </div>
    <lazy-footer template="common" layout="desktop" v-if="except"/>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, computed } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "App",
  setup() {
    const isLoading = computed(() => store.state.isThemePropertyLoading);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const route = useRoute();
    const array: Array<string> = ["login", "register"];
    const mt: Array<string> = ["login", "register", "privacyand-condition"];
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    const except = computed(() => !_.includes(array, tabSelected.value));
    const addMarginTop = computed(() => !_.includes(mt, tabSelected.value));
    // const align = ref(EnumAlignment.Center);
    const isScrollOver = ref(false);
    onMounted(() => {
      window.onscroll = () => {
        if (
          document.body.scrollTop > 50 ||
          document.documentElement.scrollTop > 50
        ) {
          isScrollOver.value = true;
        } else {
          isScrollOver.value = false;
        }
      };
    });
    const { getAssetImage } = commonHelper;
    const backToTopBgImg = `url(${getAssetImage(
      "assets/theme/light_flexible_1/desktop/images/totop.png"
    )})`;
    const activeBackToTopBgImg = `url(${getAssetImage(
      "assets/theme/light_flexible_1/desktop/images/totop_active.png"
    )})`;
    const indicatorImg = `url(${getAssetImage(
      "assets/theme/light_flexible_1/desktop/images/indicator.png"
    )})`;
    const activeIndicatorImg = `url(${getAssetImage(
      "assets/theme/light_flexible_1/desktop/images/active_indicator.png"
    )})`;
    const navBg = `url(${getAssetImage(
      "assets/theme/light_flexible_1/desktop/images/product-hover-bg.png"
    )})`;
    return {
      isLoading,
      themeProperties,
      alert,
      except,
      addMarginTop,
      isScrollOver,
      // align,
      backToTopBgImg,
      activeBackToTopBgImg,
      indicatorImg,
      activeIndicatorImg,
      navBg,
      tabSelected,
    };
  },
});
</script>
<style lang="scss">
@import "@/assets/styles/desktop/china.scss";
@import "@/assets/styles/animation.css";
div.container {
  width: 80rem;
}
.el-dialog {
  --el-dialog-bg-color: var(--background2);
  height: fit-content;
}
</style>
<style lang="postcss">
.btn {
  @apply border-0 inline-block text-center text-white duration-300;
}
</style>
